package com.startbot.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.startbot.entity.dataobj.PrivateMessageDO;
import com.startbot.entity.dto.PrivateMessageDTO;
import com.startbot.mapper.PrivateMessageMapper;
import com.startbot.entity.dto.ReqDTO;
import com.startbot.service.PrivateMessageService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

@Service
public class PrivateMessageServiceImpl extends ServiceImpl<PrivateMessageMapper, PrivateMessageDO> implements PrivateMessageService {
    private static final Logger logger = LoggerFactory.getLogger(PrivateMessageServiceImpl.class);

    @Override
    public void getMessage(ReqDTO reqDTO) {
        ObjectMapper jsonMapper = new ObjectMapper();
        PrivateMessageDTO message = jsonMapper.convertValue(reqDTO.getData(),PrivateMessageDTO.class);
        logger.info("收到来自：{} 的消息：{}", message.getFromNickName(), message.getMessage());
    }
}
